%global goipath         tinygo.org/x/go-llvm
%global forgeurl        https://github.com/tinygo-org/go-llvm
%global commit          95bc4ffe1adda2d3fa986628373a27a674940978

%gometa

Name:           %{goname}
Version:        0
Release:        0.4%{?dist}
Summary:        Go bindings to a system-installed LLVM
License:        NCSA
URL:            %{gourl}
Source0:        %{gosource}
# https://github.com/tinygo-org/go-llvm/pull/5
Patch0001:      fix-ir-test.patch

BuildRequires:  gcc-c++
BuildRequires:  llvm-devel

%description
%{summary}


%package devel
Summary:       %{summary}

BuildArch:     noarch

Requires:      gcc-c++
Requires:      llvm-devel

%description devel
%{summary}

This package contains library source intended for building other packages which
use import path with %{goipath} prefix.


%prep
%forgeautosetup

# Set current LLVM paths.
make config VERSION=8.0.0 LDFLAGS=$(llvm-config --libs) BUILDDIR=%{_prefix}


%install
%goinstall


%check
%gochecks


%files devel -f devel.file-list
%license LICENSE.txt


%changelog
* Wed Sep 25 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0-0.4.20190925git95bc4ff
- Update to latest commit

* Fri Jun 07 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0-0.3.20190604git0713e35
- Update to latest commit
- Add gcc-c++ to Requires

* Sat Apr 27 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0-0.2.20190427git7707ae5
- Add llvm-devel to Requires

* Thu Apr 18 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0-0.1.20190427git7707ae5
- First package for Fedora
